KDE 4.7 PyKDE API Reference

- KDE's Python API

# NetworkShare Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

NetworkShare interface.

a NetworkShare interface is used to determine the type of network access.

Since:
  4.7

## Enumerations
ShareType | { Unknown, Nfs, Cifs, Upnp }
## Methods
| __init__ (self, QObject backendObject)
Solid.NetworkShare.ShareType | type (self)
QUrl | url (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new NetworkShare object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

Solid.NetworkShare.ShareType type | ( |  | self ) |

Retrieves the type of network share

Returns:
  the type of network share

QUrl url | ( |  | self ) |

Retrieves the url of network share

Returns:
  the url of network share

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the NetworkShare device interface.

Returns:
  the NetworkShare device interface type

See also:
  Solid.DeviceInterface.Type

## Enumeration Documentation

ShareType

This enum type defines the type of networkShare device can be.

- Unknown : a unsupported network protocol - Nfs : nfs protocol - Cifs : samba protocol - Upnp : Upnp protocol

Enumerator:

  Unknown |
  Nfs |
  Cifs |
  Upnp |